### Function

# Pango scan_int

deprecated: 1.38

#### Declaration [src]

    gboolean
    pango_scan_int (
      const char** pos,
      int* out
    )

#### Description [src]

Scans an integer.

Leading white space is skipped.

Deprecated since: 1.38

Please do not use it in newly written code.

#### Parameters

`pos`

  Type: `const char**`

  In/out string position.

  The argument will be modified by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`out`

  Type: `int*`

  An int into which to write the result.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`FALSE` if a parse error occurred.